%global momorel 1

Name:		strigi
Version:	0.6.4
Release:	%{momorel}m%{?dist}
Summary:	A desktop search program for KDE
Group:		Applications/Productivity
License:	LGPL
URL:		http://www.vandenoever.info/software/strigi
Source0:	http://www.vandenoever.info/software/%{name}/%{name}-%{version}.tar.bz2
Source1:	strigiclient.desktop
Source2:	strigi-daemon.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
NoSource:	0
Patch0:		strigi-0.6.2-multilib.patch
Patch1:		strigi-0.6.3-gcc44.patch
BuildRequires:	cmake >= 2.6.2-1m
BuildRequires:	clucene-core-devel
BuildRequires:	qt-devel >= 4.4.3
BuildRequires:	dbus-devel
BuildRequires:	libxml2-devel
BuildRequires:	expat-devel
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	cppunit
BuildRequires:	exiv2-devel >= 0.18
BuildRequires:  bison
BuildRequires:	desktop-file-utils

%description
Strigi is a fast and light desktop search engine. It can handle a large range
of file formats such as emails, office documents, media files, and file
archives. It can index files that are embedded in other files. This means email
attachments and files in zip files are searchable as if they were normal files
on your harddisk.

Strigi is normally run as a background daemon that can be accessed by many
other programs at once. In addition to the daemon, Strigi comes with powerful
replacements for the popular unix commands 'find' and 'grep'. These are called
'deepfind' and 'deepgrep' and can search inside files just like the strigi
daemon can.

%package	devel
Summary:	Development files for the strigi desktop search engine
Group:		Development/Libraries
Requires:	%name-libs = %version-%release
Requires:	pkgconfig

%description	devel
Development files for the strigi desktop search engine

%package	libs
Summary:	Strigi libraries
Group:		Development/Libraries

%description	libs
Strigi search engine libraries

%prep
%setup -q
%patch0 -p1 -b .multilib
%patch1 -p1 -b .gcc44~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake	-DLIB_DESTINATION=%{_libdir} \
	..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf --preserve-root %{buildroot}
make install/fast -C %{_target_platform}  DESTDIR=%{buildroot}

desktop-file-install					\
	--vendor=					\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

# Add an autostart desktop file for the strigi daemon
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp -pr %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/autostart/

find %{buildroot}%{_libdir} -type f -name "*.so*" -exec chmod 755 {} ';'

%clean
rm -rf --preserve-root %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*strigiclient.desktop
%{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/xdg/autostart/strigi-daemon.desktop
%{_datadir}/strigi/

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libstream*.pc
%{_includedir}/strigi/

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/strigi/

%changelog
* Sun Feb 15 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Fri Feb  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.3-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.3-3m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.3-2m)
- add patch0 from Fedora devel

* Tue Jan 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-0.20081012.1m)
- update to 0.6.0 svn 20081012 snapshot

* Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-0.855802.1m)
- update to rev.855802 snapshot

* Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.11-1m)
- update to 0.5.11

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.10-2m)
- add icon to strigiclient.desktop

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.10-1m)
- update to 0.5.10

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.9-1m)
- update to 0.5.9

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.8-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.8-2m)
- rebuild against gcc43

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.8-1m)
- update to 0.5.8

* Sun Jan 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-3m)
- rebuild against exiv2-0.16

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.7-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.7-1m)
- import from Fedora devel

* Tue Nov 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.5.7-2
- Rebuild for new exiv2

* Tue Oct 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.7-1
- Update to 0.5.7 release
- Fix multilibs conflict (Bug #343221, patch by Kevin Kofler) 

* Sun Sep 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.5-2
- Rebuild for BuildID changes

* Sat Aug 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.5-1
- Update to 0.5.5 release

* Mon Aug 06 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-1
- Update to 0.5.4 proper
- License tag update

* Sun Jul 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-0.1.svn20070729
- New KDE SVN snapshot version for KDE 4.0 beta 1 (bz#20015)

* Wed May 16 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-5
- Split out a strigi-libs subpackage as suggested in BZ#223586
_ Include a strigidaemon autostart desktop file

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-4
- Add dbus-devel BR.

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-3
- Misc. fixes from package review

* Fri May 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-2
- Updates from reviews:
-	Have the -devel subpackage require pkgconfig
-	Add a versioned dependency on cmake and remove dbus-qt buildrequire

* Fri May 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- New release

* Wed May 02 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-3
- Allow building on FC6

* Thu Feb 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-2
- Assorted fixed arising from reviews

* Wed Jan 17 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-1
- Initial packaging for Fedora Extras
